VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::MonitoringTypes::MonitoredItem Class Reference

`Monitoring.MonitoredItem` class Structure representing requested monitored item data. More...

List of all members.

## Public Member Functions
| MonitoredItem ()
| Creates a default new instance.
string | GetId ()
| monitored item ID Ex: CPU, MEMORY When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
void | SetId (string id)
| monitored item ID Ex: CPU, MEMORY When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
string | GetName ()
| monitored item name Ex: "Network write speed"
void | SetName (string name)
| monitored item name Ex: "Network write speed"
string | GetUnits ()
| Y-axis label EX: "Mbps", "%".
void | SetUnits (string units)
| Y-axis label EX: "Mbps", "%".
string | GetCategory ()
| category Ex: network, storage etc
void | SetCategory (string category)
| category Ex: network, storage etc
string | GetInstance ()
| instance name Ex: eth0
void | SetInstance (string instance)
| instance name Ex: eth0
string | GetDescription ()
| monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0
void | SetDescription (string description)
| monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Monitoring.MonitoredItem` class Structure representing requested monitored item data.

## Constructor & Destructor Documentation

vmware::appliance::MonitoringTypes::MonitoredItem::MonitoredItem | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::MonitoringTypes::MonitoredItem::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::MonitoringTypes::MonitoredItem::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::MonitoringTypes::MonitoredItem::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::MonitoringTypes::MonitoredItem::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::MonitoringTypes::MonitoredItem::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::MonitoringTypes::MonitoredItem::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::MonitoringTypes::MonitoredItem::GetCategory | ( |  | ) | `[inline]`

category Ex: network, storage etc

string vmware::appliance::MonitoringTypes::MonitoredItem::GetDescription | ( |  | ) | `[inline]`

monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0

override int vmware::appliance::MonitoringTypes::MonitoredItem::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::MonitoringTypes::MonitoredItem::GetId | ( |  | ) | `[inline]`

monitored item ID Ex: CPU, MEMORY When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.monitoring` .

string vmware::appliance::MonitoringTypes::MonitoredItem::GetInstance | ( |  | ) | `[inline]`

instance name Ex: eth0

string vmware::appliance::MonitoringTypes::MonitoredItem::GetName | ( |  | ) | `[inline]`

monitored item name Ex: "Network write speed"

string vmware::appliance::MonitoringTypes::MonitoredItem::GetUnits | ( |  | ) | `[inline]`

Y-axis label EX: "Mbps", "%".

void vmware::appliance::MonitoringTypes::MonitoredItem::SetCategory | ( | string | category | ) | `[inline]`

category Ex: network, storage etc

void vmware::appliance::MonitoringTypes::MonitoredItem::SetDescription | ( | string | description | ) | `[inline]`

monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0

void vmware::appliance::MonitoringTypes::MonitoredItem::SetId | ( | string | id | ) | `[inline]`

monitored item ID Ex: CPU, MEMORY When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.monitoring` .

void vmware::appliance::MonitoringTypes::MonitoredItem::SetInstance | ( | string | instance | ) | `[inline]`

instance name Ex: eth0

void vmware::appliance::MonitoringTypes::MonitoredItem::SetName | ( | string | name | ) | `[inline]`

monitored item name Ex: "Network write speed"

void vmware::appliance::MonitoringTypes::MonitoredItem::SetUnits | ( | string | units | ) | `[inline]`

Y-axis label EX: "Mbps", "%".

override string vmware::appliance::MonitoringTypes::MonitoredItem::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- MonitoringTypes.cs